{% set innerHtml %}
{% if params.legend %}
  <legend class="nhsuk-fieldset__legend nhsuk-fieldset__legend--l">
    <h1 class="nhsuk-fieldset__heading">
      {{ __({phrase: params.legend.text, locale: params.legend.locale }) }}
    </h1>
  </legend>
{% endif %}
{% if params.hint %}
  <p class="nhsuk-body nhsuk-hint">
    {{ __({phrase: params.hint.text, locale: params.hint.locale }) }}
  </p>
{% endif %}
{% if errors %}
  <span id="waste-error" class="nhsuk-error-message">
        Please select an option
        </span>
{% endif %}
<div class="nhsuk-checkboxes">
  {% for error in params.errors %}
    <span class="nhsuk-error-message">
      {{ __({phrase: error.msg, locale: error.locale }) }}
    </span>
  {% endfor %}

  {% for item in params.items %}
    <div class="nhsuk-checkboxes__item">
      <input class="nhsuk-checkboxes__input" id="{{ item.id }}" name="{{ item.name }}"

              {% if item.attributes === 'ClaimantContactPreferences' %}
                {% if checkContactPreferences(item.datapoint,item.value) %}
                 checked
                {% endif %}
              {% endif %}
              {% if item.checked %}
                checked
              {% endif %}
             type="checkbox" value="{{ item.value }}">
      <label class="nhsuk-label nhsuk-checkboxes__label" for="{{ item.id }}">
        {{ __({phrase: item.text, locale: item.locale }) }}
      </label>
    </div>
  {% endfor %}
</div>
</div>
{% endset %}

<div class="nhsuk-form-group {% if params.errors %}nhsuk-form-group--error{% endif %}">
{# if a legend exists in the parms wrap it in a fieldset #}
{% if params.legend %}
  <fieldset class="nhsuk-fieldset" {% if params.errors %}aria-describedby="waste-error" {% endif %}>
    {{ innerHtml | safe }}
  </fieldset>
{% else %}
  {{ innerHtml | safe }}
{% endif %}
</div>